Bug 1126197 - [RFE] we should have the options to import users and group (LDAP) from GUI
Summary: [RFE] we should have the options to import users and group (LDAP) from GUI
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Nobody
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-03 12:33 UTC by Kobi Hakimi
Modified: 2015-03-08 13:39 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-04 12:08:58 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Kobi Hakimi 2014-08-03 12:33:44 UTC
Description of problem:
[RFE] we should have the options to import users and group (LDAP) from GUI

Version-Release number of selected component (if applicable):
 Red Hat Enterprise Virtualization Manager Version: 3.4.0-0.21.el6ev 
 oVirt Engine Version: 3.5.0-0.0.master.20140715172116.git4687dc1.el6 

How reproducible:
Always

Steps to Reproduce:
1. Open the Red Hat Enterprise Virtualization in Users tab.

Actual results:
there is no option to import users and group from GUI.

Expected results:
as a user/admin I expect to import users and group from users tab(GUI) something like button "import" and not to run the following command:
engine-manage-domains add --domain=qa.lab.tlv.redhat.com --user=vdcadmin --add-permissions --provider=ActiveDirectory --ldap-servers=qa1.qa.lab.tlv.redhat.com

Additional info:

Comment 1 Oved Ourfali 2014-08-04 12:08:58 UTC
We have the option to add users/groups from domains that you configured via the engine-manage-domains utility.
configuring the domain is done via utility... that's how it is today, and it will be done that way in the future as well.

Closing as NOTABUG.

Comment 2 Kobi Hakimi 2014-08-04 12:47:33 UTC
(In reply to Oved Ourfali from comment #1)
> We have the option to add users/groups from domains that you configured via
> the engine-manage-domains utility.
> configuring the domain is done via utility... that's how it is today, and it
> will be done that way in the future as well.
> 
> Closing as NOTABUG.

I know how its working for now... but I opened this as RFE and I think that we should help to admin/user to do most of the operations thru the GUI.
@gklein please let me know what do you think about it.

Comment 3 Yaniv Lavi 2015-03-08 13:39:43 UTC
(In reply to Kobi Hakimi from comment #2)
> (In reply to Oved Ourfali from comment #1)
> > We have the option to add users/groups from domains that you configured via
> > the engine-manage-domains utility.
> > configuring the domain is done via utility... that's how it is today, and it
> > will be done that way in the future as well.
> > 
> > Closing as NOTABUG.
> 
> I know how its working for now... but I opened this as RFE and I think that
> we should help to admin/user to do most of the operations thru the GUI.
> @gklein please let me know what do you think about it.

If this is requested by a customer, we will consider this. for now it will remain closed.


Note You need to log in before you can comment on or make changes to this bug.